### Hierarchy

- MediaTrackCapabilities

## Index

### Properties

- aspectRatio
- deviceId
- echoCancellation
- facingMode
- frameRate
- groupId
- height
- sampleRate
- sampleSize
- volume
- width

## Properties

### Optional aspectRatio

aspectRatio: number | DoubleRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:671

### Optional deviceId

deviceId: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:672

### Optional echoCancellation

echoCancellation: boolean[]

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:673

### Optional facingMode

facingMode: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:674

### Optional frameRate

frameRate: number | DoubleRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:675

### Optional groupId

groupId: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:676

### Optional height

height: number | LongRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:677

### Optional sampleRate

sampleRate: number | LongRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:678

### Optional sampleSize

sampleSize: number | LongRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:679

### Optional volume

volume: number | DoubleRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:680

### Optional width

width: number | LongRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:681

Generated using TypeDoc